//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*
Copyright 2022 Tony Yip.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsCA) DeepCopyInto(out *VaultTlsCA) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	out.Spec = in.Spec
	out.Status = in.Status
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsCA.
func (in *VaultTlsCA) DeepCopy() *VaultTlsCA {
	if in == nil {
		return nil
	}
	out := new(VaultTlsCA)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *VaultTlsCA) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsCAList) DeepCopyInto(out *VaultTlsCAList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]VaultTlsCA, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsCAList.
func (in *VaultTlsCAList) DeepCopy() *VaultTlsCAList {
	if in == nil {
		return nil
	}
	out := new(VaultTlsCAList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *VaultTlsCAList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsCASpec) DeepCopyInto(out *VaultTlsCASpec) {
	*out = *in
	out.Duration = in.Duration
	out.MaxLeaseTTL = in.MaxLeaseTTL
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsCASpec.
func (in *VaultTlsCASpec) DeepCopy() *VaultTlsCASpec {
	if in == nil {
		return nil
	}
	out := new(VaultTlsCASpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsCAStatus) DeepCopyInto(out *VaultTlsCAStatus) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsCAStatus.
func (in *VaultTlsCAStatus) DeepCopy() *VaultTlsCAStatus {
	if in == nil {
		return nil
	}
	out := new(VaultTlsCAStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsIssuerRole) DeepCopyInto(out *VaultTlsIssuerRole) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	out.Status = in.Status
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsIssuerRole.
func (in *VaultTlsIssuerRole) DeepCopy() *VaultTlsIssuerRole {
	if in == nil {
		return nil
	}
	out := new(VaultTlsIssuerRole)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *VaultTlsIssuerRole) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsIssuerRoleList) DeepCopyInto(out *VaultTlsIssuerRoleList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]VaultTlsIssuerRole, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsIssuerRoleList.
func (in *VaultTlsIssuerRoleList) DeepCopy() *VaultTlsIssuerRoleList {
	if in == nil {
		return nil
	}
	out := new(VaultTlsIssuerRoleList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *VaultTlsIssuerRoleList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsIssuerRoleSpec) DeepCopyInto(out *VaultTlsIssuerRoleSpec) {
	*out = *in
	out.CA = in.CA
	if in.AllowedDomains != nil {
		in, out := &in.AllowedDomains, &out.AllowedDomains
		*out = make([]string, len(*in))
		copy(*out, *in)
	}
	if in.KeyUsage != nil {
		in, out := &in.KeyUsage, &out.KeyUsage
		*out = make([]string, len(*in))
		copy(*out, *in)
	}
	if in.ExtKeyUsage != nil {
		in, out := &in.ExtKeyUsage, &out.ExtKeyUsage
		*out = make([]string, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsIssuerRoleSpec.
func (in *VaultTlsIssuerRoleSpec) DeepCopy() *VaultTlsIssuerRoleSpec {
	if in == nil {
		return nil
	}
	out := new(VaultTlsIssuerRoleSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *VaultTlsIssuerRoleStatus) DeepCopyInto(out *VaultTlsIssuerRoleStatus) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new VaultTlsIssuerRoleStatus.
func (in *VaultTlsIssuerRoleStatus) DeepCopy() *VaultTlsIssuerRoleStatus {
	if in == nil {
		return nil
	}
	out := new(VaultTlsIssuerRoleStatus)
	in.DeepCopyInto(out)
	return out
}
